Installs on Thunderbird 3.1 Rated 5 out of 5 stars

Great Add-on. Thanks!!!

Here's a version of 1.3.2 that will work on Thunderbird 3.1. http://5xl.com/addons/correct_identity-1.3.2-tb-Thunderbird-3.1.xpi

This review is for a previous version of the add-on (1.3.2).